Groups and labels
Update Label
Updates an admin label. Send only the fields to change inside label. The title is written in the language given by lang (English when omitted); an unsupported language returns 422. Returns 404 when the label is not an admin label in your company, and 422 on validation errors. Requires a company admin token with permission to update categories.
PUT
/
api
/
company
/
labels
/
{id}
Update Label
curl --request PUT \
--url https://api.fluid.app/api/company/labels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": {
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF"
}
}
'import requests
url = "https://api.fluid.app/api/company/labels/{id}"
payload = { "label": {
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: {title: 'Best Seller', background: '#1F4E79', color: '#FFFFFF'}})
};
fetch('https://api.fluid.app/api/company/labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/labels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => [
'title' => 'Best Seller',
'background' => '#1F4E79',
'color' => '#FFFFFF'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/labels/{id}"
payload := strings.NewReader("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/labels/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/labels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}"
response = http.request(request)
puts response.read_body{
"label": {
"id": 5127,
"status": "active",
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF",
"icon": "https://dunder-mifflin.fluid.app/assets/label_icons/rocket-3f9a1c2e.svg"
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>"
}Body
application/json
⌘I
Update Label
curl --request PUT \
--url https://api.fluid.app/api/company/labels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": {
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF"
}
}
'import requests
url = "https://api.fluid.app/api/company/labels/{id}"
payload = { "label": {
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: {title: 'Best Seller', background: '#1F4E79', color: '#FFFFFF'}})
};
fetch('https://api.fluid.app/api/company/labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/labels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => [
'title' => 'Best Seller',
'background' => '#1F4E79',
'color' => '#FFFFFF'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/labels/{id}"
payload := strings.NewReader("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/labels/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/labels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": {\n \"title\": \"Best Seller\",\n \"background\": \"#1F4E79\",\n \"color\": \"#FFFFFF\"\n }\n}"
response = http.request(request)
puts response.read_body{
"label": {
"id": 5127,
"status": "active",
"title": "Best Seller",
"background": "#1F4E79",
"color": "#FFFFFF",
"icon": "https://dunder-mifflin.fluid.app/assets/label_icons/rocket-3f9a1c2e.svg"
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>"
}